cgGLEnableProfile(3)

NAME
cgGLEnableProfile - enable a profile within OpenGL

SYNOPSIS
  #include <Cg/cgGL.h>

  void cgGLEnableProfile( CGprofile profile );

PARAMETERS

profile
    The enumerant for the profile to enable.

RETURN VALUES
None.

DESCRIPTION
cgGLEnableProfile enables a profile by making the necessary OpenGL calls. For most profiles, this will simply make a call to glEnable with the approriate enumerant.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if profile is not a supported OpenGL profile.

HISTORY
cgGLEnableProfile was introduced in Cg 1.1.

SEE ALSO
cgGLDisableProfile